complexType "EnvironmentalProduct"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 4 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | productType, vintage*, applicableLaw?, trackingSystem?
</...>

Content Model Elements (4):

  applicableLaw, productType (in environmental), | trackingSystem, vintage

All Direct / Indirect Based Elements (1):

  environmental

Known Usage Locations

- As direct type of elements (1):
  environmental

Annotation
A type defining the characteristics of the environmental allowance or credit being traded. Settlement of environmental transactions is classified as physical because settlement is accomplished through the exchange of one or more certificates (despite the fact that this exchange is almost always executed through electronic book entry transfer between the parties allowance accounts).
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="EnvironmentalProduct"> <xsd:sequence> <xsd:element name="productType" type="EnvironmentalProductTypeEnum"/> <!--View Generation: SKIPPED compliancePeriod - Standardized--> <xsd:element maxOccurs="unbounded" minOccurs="0" name="vintage" type="xsd:gYear"/> <xsd:element minOccurs="0" name="applicableLaw" type="EnvironmentalProductApplicableLaw"/> <xsd:element minOccurs="0" name="trackingSystem" type="EnvironmentalTrackingSystem"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
applicableLaw

  Type: | EnvironmentalProductApplicableLaw, simple content

  Applies to U.S. Emissions Allowance Transactions. Used to specify the Applicable Emissions Law when this is not defined in Emissions Product Definitions Exhibit.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="applicableLaw" type="EnvironmentalProductApplicableLaw"/>

productType

  Type: | EnvironmentalProductTypeEnum, simple content

  Specifies the type of environmental allowance or credit. Examples include allowances or credit issued by the European Union (E.U.) or by the State of California in the Unites States.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "EUAllowance" | - | For EU Emissions Allowance Transactions: An EU Emissions Allowance.
  "EUCredit" | - | For EU Emissions Allowance Transactions: An EU Emissions Credit.
  "AlternativeAllowance" | - | For EU Emissions Allowance Transactions: An EU Alternative Allowance.
  "NOXEmissionsProduct" | - | For US Emissions Allowance Transactions: A limited authorization issued by the state permitting authority or the US Environmental Protection Agency (EPA) to emit certain amounts of nitrogen oxides (Nox).
  "RegionalEmissionsProduct" | - | For US Emissions Allowance Transactions: A emissions allowance or emissions reduction credit issued under a mult-state or provincial or other cap-and-trade Scheme.
  "RGGIEmissionsProduct" | - | For US Emissions Allowance Transactions: A limited authorization issued by the RGGI scheme permitting the emission of certain amounts of carbon dioxide.
  "SO2EmissionsProduct" | - | For US Emissions Allowance Transactions: A limited authorization issued by the U.S. Environmental Protection Agency (EPA) to emit a certain amount of sulfur dioxide.
  "StateEmissionProduct" | - | For US Emissions Allowance Transactions: Any emissions allowance or emission reduction credit created and promulgated under a U.S. state Scheme.
  "VoluntaryEmissionProduct" | - | For US Emissions Allowance Transactions: Any emissions allowance, emission credit, emissions offset or emissions reduction credit created or issued under a voluntary Scheme.

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="productType" type="EnvironmentalProductTypeEnum"/>

trackingSystem

  Type: | EnvironmentalTrackingSystem, simple content

  Applies to U.S. Emissions Allowance Transactions. Used to specify the Tracking System when this is not defined in Emissions Product Definitions Exhibit.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="trackingSystem" type="EnvironmentalTrackingSystem"/>

vintage

  Type: | xsd:gYear, predefined, simple content

  Applies to U.S. Emissions Allowance Transactions. The year(s) of the applicable Emissions Product(s) as specified in an Emissions Transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="vintage" type="xsd:gYear"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.